Bug 475896 - Wayland: Task Manager does not track open windows
Summary: Wayland: Task Manager does not track open windows
Status: REPORTED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: 5.27.8
Platform: Arch Linux Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2023-10-20 22:47 UTC by spystath
Modified: 2024-07-03 17:53 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:
spystath: Wayland+


Attachments
Task manager not showing active window (24.04 KB, image/png)
2024-06-21 08:15 UTC, constantin.laurent
Details
plasma logs (395.15 KB, text/plain)
2024-06-21 08:27 UTC, constantin.laurent
Details
current environment (5.08 KB, text/plain)
2024-07-03 17:53 UTC, spystath
Details

Note You need to log in before you can comment on or make changes to this bug.
Description spystath 2023-10-20 22:47:49 UTC
SUMMARY
Since Plasma 5.27.8 task manager occasionally stops tracking open windows on a wayland session. This issue looks deceptively similar to Bug 429168 however it only appeared between 5.27.7 and 5.27.8. Although they manifest in the same manner they are probably caused by different issues. I also get the same warning as in Bug 429168 when starting up plasmashell from the terminal ("org.kde.kf5.kwindowsystem.kwayland: This compositor does not support the Plasma Window Management interface") and also as in Bug 429168 the issue appears on all flavours of task manager. Reverting plasma-workspace (which provides plasmashell) back to 5.27.7 stops the problem from appearing. I browsed the git commits of plasma-workspace between 5.27.7 and 5.27.8 and there were a few commits that *look* like they might be associated with this, for instance this [0] or this [1] but unfortunately I am not qualified enough to say.

[0] https://invent.kde.org/plasma/plasma-workspace/-/commit/b235a5900107ef1cec7d6ac30f5569ee5e3357c1
[1] https://invent.kde.org/plasma/plasma-workspace/-/commit/cb7dfe90f2a91f20c40a7e4744112602534aee38

STEPS TO REPRODUCE
1. Open a graphical application

OBSERVED RESULT
Task manager does not update

EXPECTED RESULT
A new icon appears on the task manager to track the status of the new window

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Archlinux
(available in About System)
KDE Plasma Version: 5.27.8
KDE Frameworks Version: 5.110.0
Qt Version: 5.15.11

ADDITIONAL INFORMATION
With proprietary NVIDIA driver. Problem appears only on Wayland Sessions.
Comment 1 Fushan Wen 2023-10-21 03:38:04 UTC
The two commits are not in 5.27. They are only for 6.0. Did you also see the panel frozen when you see the bug?
Comment 2 spystath 2023-10-21 09:49:41 UTC
Yes, this usually happens after a freeze of the panel which is, from what I understand, a common issue with pre-6.0 and nvidia. However, restarting plasmashell doesn't fix the problem, the taskbar becomes responsive again but no windows are tracked, only pinned applications and applets are shown. Even restarting the session (or the computer) doesn't fix the issue.  I tested with a new user, changed nothing in the configuration and waited until the panel froze again and indeed the same thing happened. Then I nuked the new user's .config and .local to force a fresh plasma session. The panel then works again until it freezes, rinse, repeat. The only difference between 5.27.7 and 5.27.8 is that with 5.27.7 a "killall plasmashell && kstart5 plasmashell" or "plasmashell --replace" addresses the issue whereas with 5.27.8 even restarting the shell does not.
Comment 3 spystath 2023-10-21 10:26:20 UTC
Just to add one more piece of information: the difference between a "regular" freeze and the issue I'm describing is the presence of the "org.kde.kf5.kwindowsystem.kwayland: This compositor does not support the Plasma Window Management interface" in the logs when starting plasmashell.
Comment 4 spystath 2023-10-26 17:30:39 UTC
Issue persists on 5.27.9
Comment 5 emelenas 2023-11-12 17:53:29 UTC
I have the same problem in Fedora 39, recently upgraded from Fedora 38:
Operating System: Fedora Linux 39
KDE Plasma Version: 5.27.9
KDE Frameworks Version: 5.111.0
Qt Version: 5.15.11
Kernel Version: 6.5.11-300.fc39.x86_64 (64-bit)
Graphics Platform: Wayland

Symptoms:
- Icons in the taskbar remain after the window has been closed. They are not responsive, right-clicking shows the taskbar menu
- No new icons beyond the third
- Icons for the windows not closed work (i.e., they minimize/restore the window)
- The network icon shows the VPN lock even when the VPN has been disconnected (it is reset upon logout-login)
- Digital clock has frozen (but "copy to clipboard" shows the correct time)

So taskbar is not completely frozen in my system
Comment 6 emelenas 2023-11-12 18:24:04 UTC
In addition, the taskbar shows the wrong icon. I closed a chrome browser but the icon remained in the taskbar. On clicking, it restores/minimizes a different window.
Comment 7 feich 2023-12-18 18:19:13 UTC
(In reply to emelenas from comment #5)
> I have the same problem in Fedora 39, recently upgraded from Fedora 38:
> Operating System: Fedora Linux 39
> KDE Plasma Version: 5.27.9
> KDE Frameworks Version: 5.111.0
> Qt Version: 5.15.11
> Kernel Version: 6.5.11-300.fc39.x86_64 (64-bit)
> Graphics Platform: Wayland
> 
> Symptoms:
> - Icons in the taskbar remain after the window has been closed. They are not
> responsive, right-clicking shows the taskbar menu
> - No new icons beyond the third
> - Icons for the windows not closed work (i.e., they minimize/restore the
> window)
> - The network icon shows the VPN lock even when the VPN has been
> disconnected (it is reset upon logout-login)
> - Digital clock has frozen (but "copy to clipboard" shows the correct time)
> 
> So taskbar is not completely frozen in my system

I can confirm this  on Fedora 39 Spin and openSUSE tumbleweed.

The Task Manager mouse hover + live thumbnail seems to cause problems
While xorg live thumbnail showing only video but Wayland showing entire browser or video player. and doing this it sometimes stops responding.

KDE Plasma Version: 5.27.10
KDE Frameworks Version: 5.112.0
Qt Version: 5.15.11
Kernel Version: 6.6.6-1-default (64-bit)
Graphics Platform: Wayland
Graphics Processor: NVIDIA GeForce RTX 2080/PCIe/SSE2
Comment 8 spystath 2024-03-25 18:37:25 UTC
Issue keeps happening in Plasma 6, although there is no panel freeze anymore. The "This compositor does not support the Plasma Window Management interface" error does not appear anymore as well. After login on Wayland the task manager is not tracking the new windows and only shows the pinned applications. Occasionally `plasmashell --replace` or `killall plasmashell; kstart plasmashell` fixes the issue but it is very unreliable. I appreciate that the issue is quite unreliable to reproduce so any hints towards more reliable debugging of the issue are welcome. X11 sessions work as expected.
Comment 9 constantin.laurent 2024-06-21 08:15:53 UTC
Created attachment 170730 [details]
Task manager not showing active window

Currently there is 4 windows active (Firefox, Konsole, System setting - About, Spectacle)
Comment 10 constantin.laurent 2024-06-21 08:26:53 UTC
I have the same issue on KDE 6 / Manjaro.

KDE Plasma version: 6.0.5
KDE Framework Version: 6.2.0
QT version: 6.7.1
Manjaro 24.0.2

The problem often happens after I wake up the computer from sleep. 
Login-out and back in doesn't solve the issue. Using `plasmashell --replace` neither. But it's gone after a reboot.
Comment 11 constantin.laurent 2024-06-21 08:27:59 UTC
Created attachment 170731 [details]
plasma logs

journalctl -r -S "2024-06-21 09:00:00"  | grep "plasma"  > logs.txt
Comment 12 spystath 2024-07-03 17:53:01 UTC
Created attachment 171339 [details]
current environment

I appreciate this is not very helpful but problem still persists with 6.1 (nvidia 555) with no obvious way to debug. Task manager is essentially non functional under Wayland. I am attaching my current environment in case it's useful.